Last Comment Bug 236140 - profile manager "conclusion" sheet doesn't fit - horizontal scrollbar
: profile manager "conclusion" sheet doesn't fit - horizontal scrollbar
Status: RESOLVED FIXED
mac ui clean-up
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: Startup & Profiles (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- minor (vote)
: seamonkey1.0beta
Assigned To: Stefan [:stefanh]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-01 14:14 PST by Asa Dotzler [:asa]
Modified: 2005-09-20 09:00 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
One-liner, increase width with 2em (Checked into branch and trunk) (1.00 KB, patch)
2005-09-10 06:57 PDT, Stefan [:stefanh]
asaf: review+
neil: superreview+
mtschrep: approval1.8b5+
Details | Diff | Splinter Review

Description Asa Dotzler [:asa] 2004-03-01 14:14:17 PST
On Mac OS X, the profile manager gets a horizontal scrollbar on the "conclusion"
sheet. I suspect the aqua buttons for "choose folder..." "use default folder"
and "region selection..." are the reason for the wide sheet.
Comment 1 Asa Dotzler [:asa] 2004-03-01 14:15:32 PST
Tested with 2004-03-01 SeaMonkey build on OS X 10.3 (Jaguar). 

In case it wasn't clear, I'm talking about the final page of the "create
profile" wizard, accessible from the profile manager. 
Comment 2 Stefan [:stefanh] 2005-09-09 08:41:57 PDT
I still see this on branch and trunk. This is something we should fix before the
release...
Comment 3 Stefan [:stefanh] 2005-09-09 11:18:03 PDT
OK, so the width of the sheet is currently set to 45em in
createProfileWizard.dtd. Now, there are three buttons: "Choose Folder...", "Use
Default Folder" and "Region Selection..."

If we change "Region Selection..." to "Select Region..." and increase the width
with 1em to 46em the sheet fits for me (Mac OS 10.3.9, Classic skin).

Kairo, what do you think?
Comment 4 Stefan [:stefanh] 2005-09-09 11:55:20 PDT
 
> If we change "Region Selection..." to "Select Region..." and increase the width
> with 1em to 46em the sheet fits for me (Mac OS 10.3.9, Classic skin).

Actually, we don't gain much by changing the button label. The sheet fits
without changing the label if the width is set to 47em :)



Comment 5 Stefan [:stefanh] 2005-09-10 06:57:37 PDT
Created attachment 195537 [details] [diff] [review]
One-liner, increase width with 2em (Checked into branch and trunk)

OK, this patch will increase the width of the sheet with 2 em.
Comment 6 Stefan [:stefanh] 2005-09-18 11:36:59 PDT
Comment on attachment 195537 [details] [diff] [review]
One-liner, increase width with 2em (Checked into branch and trunk)

btw, tested this with 640x480, and the sheet fits.
Comment 7 neil@parkwaycc.co.uk 2005-09-18 13:34:27 PDT
Comment on attachment 195537 [details] [diff] [review]
One-liner, increase width with 2em (Checked into branch and trunk)

Until someone implements width units in XUL I guess this will have to do :-/
Comment 8 Stefan [:stefanh] 2005-09-18 13:46:05 PDT
Comment on attachment 195537 [details] [diff] [review]
One-liner, increase width with 2em (Checked into branch and trunk)

Low-risk, SeaMonkey mac ui polish.
Comment 9 Mike Schroepfer 2005-09-19 15:12:43 PDT
Comment on attachment 195537 [details] [diff] [review]
One-liner, increase width with 2em (Checked into branch and trunk)

Approved for 1.8b5 per bug meeting
Comment 10 Ian Neal 2005-09-20 08:12:40 PDT
Comment on attachment 195537 [details] [diff] [review]
One-liner, increase width with 2em (Checked into branch and trunk)

Checking in (trunk)
createProfileWizard.dtd; new revision: 1.11; previous revision: 1.10
done
Comment 11 Ian Neal 2005-09-20 08:17:32 PDT
Comment on attachment 195537 [details] [diff] [review]
One-liner, increase width with 2em (Checked into branch and trunk)

Checking in (branch)
createProfileWizard.dtd; new revision: 1.10.58.1; previous revision: 1.10
done
Comment 12 Stefan [:stefanh] 2005-09-20 08:20:25 PDT
--> Fixed
Comment 13 Axel Hecht [:Pike] 2005-09-20 09:00:32 PDT
As this shows up in my bonsai queries, let me sign this off as non-l10n.
This is just a size change, and seamonkey only, if a localizer starts reading the 
bug bottom up. (Like I did, sorry for the bug spam)

Note You need to log in before you can comment on or make changes to this bug.